Name: alterator-mkve
Version: 0.1
Release: alt1
Packager: Anton Protopopov <aspsk@altlinux.org>
BuildArch: noarch
Source: %name-%version.tar
Summary: Alterator module for creating/destroing virtual environments
License: GPL
Group: System/Configuration/Other

Requires: gettext
Requires: alterator >= 3.3-alt8
Requires: mkve
Requires: alterator-net-iptables
Requires: alterator-sh-functions
Requires: alterator-fbi >= 5.9-alt3

BuildPreReq: alterator-fbi >= 0.15-alt2
BuildRequires: alterator >= 3.3-alt8

%description
Alterator module for creating/destroing virtual environments

%prep
%setup -q

%build

%install
%makeinstall
%find_lang %name

%post
if [ -f "/etc/libvirt/qemu/networks/default.xml" ]; then
    %__rm -f /etc/libvirt/qemu/networks/default.xml
    %__rm -f /etc/libvirt/qemu/networks/autostart/default.xml
    service libvirtd restart
fi

%files -f %name.lang
%_datadir/alterator/applications/*
%_datadir/alterator/help/*/*
%_datadir/alterator/ui/*
%_alterator_backend3dir/*

%changelog
* Fri Apr 24 2009 Anton Protopopov <aspsk@altlinux.org> 0.1-alt1
- mkve: add "ip" field to main page, return "not found" if ip was not found
- mkve-kvm: use default arp.dat iff arp.dat.$bridge is absent

* Tue Apr 21 2009 Anton Protopopov <aspsk@altlinux.org> 0.1-alt0.6
- Update kvm interface
- mkve-kvm: our future presentation
- Remove dead interfaces
- Remove default libvirt network on install
- Set bridge when creating a machine

* Fri Apr 03 2009 Anton Protopopov <aspsk@altlinux.org> 0.1-alt0.5
- Set kvm password
- Fix bug with empty bundles list
- Move to system desktop directory
- qemu -> kvm
- Fix creating of machines in new interface
- mkve-create: take info from `info'
- Rewrite create interface
- Show available CD as possible source
- Fix to create QEMU containers
- Use wf=none
- Use standard directory and more local reads
- Add russian translation
- Add some help info
- mkve: use buttons instead of actions list

* Fri Mar 13 2009 Anton Protopopov <aspsk@altlinux.org> 0.1-alt0.4
- Fix #19168
- Fix dependence: meaned -net-iptables instead of -net-common
- display hypervisor-specific div when creating a machine
- Use a list of links into hypervisor-specific page instead of
  "Alterator" button on main page
- mkve: report an actual error message
- Use ajax
- move templates from templates/ to ui/
- add license field to create/ page
- totally rewrite openvz/ interface
- add setting password into openvz/ page
- redirect to "configure" page after creating
- don't clear password field if it was set successfully
- Remove debug and dead code
- Optimization
  * run mkve less frequently
  * call backend from ajax less frequently
- Many interface fixes
- Many little bug fixes

* Fri Dec 26 2008 Anton Protopopov <aspsk@altlinux.org> 0.1-alt0.3
- Rewrite main interface
- Add conflict on alterator-ovz
- Add 'general options' to openvz configure
- Remove support for Device Access Management
- Move create part to mkve/create
- Hide machine info when no machines available
- Fix security hole: password appeared on command line
- Choose root password when creating new machine
- Rewrite 'capabilities'
- Add 'Autostart' button to main page
- Redirect to container
- Add support for setting capabilities via vzctl
- Use fake /proc/bc/$(veid)/resources (for shutted down machines)
- Add support for setting and resetting quotas in openvz machines
- Add support for setting and resetting ubc in openvz machines
- Add redirection to config pages
- Rewrite mkve wrapper
- Add description and default values to global variables
- Move 'ovz' -> 'openvz'
- Add new workflow
- Rename *ve-machines* -> *mkve*
- Remove ve-networks
- Update package to confirm new mkve(1)

* Thu Sep 04 2008 Anton Protopopov <aspsk@altlinux.org> 0.1-alt0.2
- Rename package: *-ve-machines -> *-mkve
- Rewrite web-interface
- Info textarea in ve-machines and ve-networks
- Add support for creating new networks
- Now view of configure.html depends on hypervisor type

* Wed Jul 02 2008 Anton Protopopov <aspsk@altlinux.org> 0.1-alt0.1
- Initial build
